Subject: RE: [Sip] Re: [Sip-implementors] Hold SDP

From: "Elwell, John" <[email-masked]>
Date: Wed, 05 Oct 2005 07:45:57 +0100

Chris,

You wrote:
> So after re-reading the original post I am left with the same 
> question I 
> have always had WRT to hold and SDPs.  RFC 3264 is a very 
> nice document but 
> why not just tell the truth.
> 
> If I have gone on hold and my flavour of hold is neither sending nor 
> receiving why would I mark my SDP as sendonly?  I am not 
> sendonly.  I should 
> HONESTLY state I am inactive no matter what my stream was before.
RFC 3264 does indeed tell you to do that. In section 5.1 it states:
"If the offerer wishes to communicate, but wishes to neither send nor
receive media at this time, it MUST mark the stream with an "a=inactive"
attribute."

The problem is, this appears to be contradicted elsewhere.

John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip